{ appimageTools
, fetchurl
,
}:
let
  pname = "UVtools";
  version = "v4.4.3";
  src = fetchurl {
    url = "https://github.com/sn4k3/UVtools/releases/download/${version}/UVtools_linux-x64_${version}.AppImage";
    hash = "sha256-XpVSBstdd2qjbVYR6CFmaj19hSZ6mqzrnmgttLccIbY=";
  };

  appimageContents = appimageTools.extract {
    inherit pname version src;
  };

in
appimageTools.wrapType2 {
  inherit pname version src;
  extraPkgs = pkgs: [ pkgs.icu ];
  extraInstallCommands = ''
    install -m 444 -D ${appimageContents}/UVtools.desktop $out/share/applications/UVtools.desktop
    install -m 444 -D ${appimageContents}/UVtools.png \
      $out/share/icons/hicolor/256x256/apps/UVtools.png
  '';
}

